Attempt to load undefined class

- « Classes/Object Functions

- class_alias »

- PHP Manual
- Classes/Object Functions
- Attempt to load undefined class

# __autoload

(PHP 5, PHP 7)

__autoload — Attempt to load undefined class

Warning

This function has been DEPRECATED as of PHP 7.2.0, and REMOVED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

__autoload(string `$class`): void

You can define this function to enable classes autoloading.

### Parameters

`class`

  Name of the class to load

### Return Values

No value is returned.

### See Also

- spl_autoload_register() - Register given function as __autoload() implementation